<script setup lang="ts">
import { usePromotionStore } from '@/stores/promotion'
import PromotionList from './PromotionList.vue'
import type { Promotion } from '@/types/Promotion'
import { useReceiptStore } from '@/stores/receipt'

const promotionStore = usePromotionStore()
const receiptStore = useReceiptStore()

async function selected(promotion: Promotion) {
  console.log(promotion)
  if (promotion.id) {
    await promotionStore.getPromotion(promotion.id)
  }
  await receiptStore.addPromotion(promotionStore.editedPromotion)
}
function selectod() {
  promotionStore.promotionDialog = false
}

function closeDialog() {
  promotionStore.promotionDialog = false
}
</script>

<template>
  <v-dialog v-model="promotionStore.promotionDialog" persistent width="550" height="750">
    <v-card style="background-color: #ffffff; font-family: 'Kanit'; padding: 1%">
      <v-sheet min-width="300" max-width="600" class="d-flex flex-column align-center">
        <h1>Promotion</h1>
        <div @click="selectod()">
          <PromotionList
            :promotions="promotionStore.promotions"
            @selectedPromotions="selected"
          ></PromotionList>
        </div>
        <v-btn color="red" flat @click="closeDialog()" class="text-center mt-4"> Close </v-btn>
      </v-sheet>
    </v-card>
  </v-dialog>
</template>
